Subject: Ticket Assigned - THIS IS NOT ACCEPTABLE - Order #: 6479065653
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 13 May 2020 06:49:08 +0000

Hi Asjad Hussain,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  THIS IS NOT ACCEPTABLE - Order #: 6479065653 I have ordered from Max KSA on 08 April 2020 and till now I didn't receive my order. I am trying to call Max and SMSA with no response.
I am really disappointed!. This not acceptable to order and wait for a month to receive the shipment!
You have only till coning Sunday. If I didn't receive the shipment I will escalate this issue to the ministry of Commerce.
Max order number: 6479065653SMSA tracking number: 290084329268
Muhammad Madani0505980140
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/890650